Page MenuHomePhabricator

[Feeds] Implement "trending article" card.
Closed, ResolvedPublic2 Story Points

Description

This is to implement a card for the feed that contains a "trending" reading suggestion.

This shall retrieve the trending articles from the corresponding MCS endpoint.

Event Timeline

Dbrant created this task.Mar 7 2016, 3:12 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 7 2016, 3:12 PM
MBinder_WMF set the point value for this task to 10.Mar 15 2016, 5:46 PM
MBinder_WMF added a subscriber: MBinder_WMF.

Pointing as part of work breakdown meeting.

MBinder_WMF removed the point value for this task.Apr 13 2016, 7:03 PM
MBinder_WMF set the point value for this task to 2.May 13 2016, 6:15 PM

Notes from services / reading sync-up meeting:

While this will initially be pageview data based, it is likely that other signals / filters will be added later. For that reason, it might make sense to keep this out of metrics / T119094.

Proposals for entry points:

  • /page/trending
  • ?
JMinor added a subscriber: JMinor.May 26 2016, 10:54 PM

Suggest we call this "pageviews" to match the analytics team's name for the API and because it doesn't actually track trends...

So far, looks like we have two votes for 'pageviews' (@JMinor and @Fjalapeno) as the endpoint path segment. I agree 'trending' probably isn't right but prefer something more like 'most-read' in order to better distinguish it from analytics' 'pageviews' work. Now's probably a good time for a final decision. Any other votes/ideas?

/cc @bearND @Niedzielski @Mhurd

I haven't participated in these discussion much lately because I've been pleased with all the options I've seen and I don't have a strong or informed opinion about this. @Mholloway, thanks for the cc. All the options you mentioned sound reasonable.

Here's my limited perspective as a client. If the Content Service implementation is a transparent wrapper around the pageview API, then it seems like a no-brainer to call it pageview. If the Content Service alter things in any way, then I might find it a little surprising but at least it's mostly right. I _think_ we do the latter so I would slightly prefer something like popular, most-read, trending, etc, or maybe even something like pageviews/popular or pageviews/most-read to indicate something that's _like_ or uses pageviews but is also a little more refined than that. I'm also a big fan of the page/trending endpoint @GWicke mentioned and would pitch a few more in that vein as page/stat, page/statistic, or page/view which has the benefit of keeping all page specific APIs under the same dull, unsurprising path segment, page/.

Change 293179 had a related patch set uploaded (by Niedzielski):
Add most read models and unmarshaller tests

https://gerrit.wikimedia.org/r/293179

Change 293462 had a related patch set uploaded (by Niedzielski):
Add most read Feed data client and test

https://gerrit.wikimedia.org/r/293462

Change 293179 merged by jenkins-bot:
Add most read models and unmarshaller tests

https://gerrit.wikimedia.org/r/293179

Change 293572 had a related patch set uploaded (by Niedzielski):
Regenerate test JSON

https://gerrit.wikimedia.org/r/293572

Change 293462 merged by jenkins-bot:
Add most read Feed data client and test

https://gerrit.wikimedia.org/r/293462

Change 293572 merged by jenkins-bot:
Regenerate test JSON

https://gerrit.wikimedia.org/r/293572

Change 294376 had a related patch set uploaded (by Niedzielski):
Add Retrofit service cache

https://gerrit.wikimedia.org/r/294376

Change 294380 had a related patch set uploaded (by Niedzielski):
Integrate most read

https://gerrit.wikimedia.org/r/294380

Change 294395 had a related patch set uploaded (by Niedzielski):
Apply variant C most read UI tweaks

https://gerrit.wikimedia.org/r/294395

Change 294376 merged by jenkins-bot:
Add Retrofit service cache

https://gerrit.wikimedia.org/r/294376

Change 294380 merged by jenkins-bot:
Integrate most read

https://gerrit.wikimedia.org/r/294380

Change 294395 merged by jenkins-bot:
Apply variant C most read UI tweaks

https://gerrit.wikimedia.org/r/294395

Dbrant closed this task as Resolved.Jun 27 2016, 4:37 PM